/*
 * Extended Operating System Loader (XOSL)
 * Copyright (c) 1999 by Geurt Vos
 *
 * This code is distributed under GNU General Public License (GPL)
 *
 * The full text of the license can be found in the GPL.TXT file,
 * or at http://www.gnu.org
 */

#include <files.h>

#define XOSL_FILE_COUNT 14



CXoslFiles::CXoslFiles()
{
}

CXoslFiles::~CXoslFiles()
{
}

int CXoslFiles::GetCount()
{
	return FileCount;
}

const char *CXoslFiles::GetFileName(int Index)
{
	return FileList[Index];
}

const char *CXoslFiles::GetXoslDataName()
{
	return FileList[XoslDataIndex];
}

const char *CXoslFiles::GetBootItemName()
{
	return FileList[BootItemIndex];
}

const char *CXoslFiles::GetLastConfName()
{
	return FileList[LastConfIndex];
}


const char *CXoslFiles::GetIplFileName(TFileIpl IplToUse)
{
	return IplFileList[IplToUse];
}

const char *CXoslFiles::FileList[] = {
	"XOSLLOAD.XCF",
	"XOSLIMG0.XXF","XOSLIMG1.XXF","XOSLIMG2.XXF","XOSLIMG3.XXF","XOSLIMG4.XXF",
	"XOSLLOGO.XBF","XOSLWALL.XBF","SPLASHLG.XBF",
	"SMLFNT10.XFF","SMLFNT9.XFF",
	"LASTCONF.XDF","BOOTITEM.XDF","XOSLDATA.XDF"
};

const int CXoslFiles::FileCount = sizeof (FileList) / sizeof (char *);
const int CXoslFiles::XoslDataIndex = FileCount - 1;
const int CXoslFiles::BootItemIndex = FileCount - 2;
const int CXoslFiles::LastConfIndex = FileCount - 3;


const char *CXoslFiles::IplFileList[] = {
	"IPL06.BIN","IPL0B.BIN","IPL06LBA.BIN","IPL0BLBA.BIN",
	"IPLS.BIN","IPLSLBA.BIN"
};
