/*
 * Extended Operating System Loader (XOSL)
 * Copyright (c) 1999 by Geurt Vos
 *
 * This code is distributed under GNU General Public License (GPL)
 *
 * The full text of the license can be found in the GPL.TXT file,
 * or at http://www.gnu.org
 */

#ifndef __about__
#define __about__

#include <gui.h>
#include <screen.h>
#include <graph.h>

class CLoader;

class CAbout {
	public:
		CAbout(CLoader *LoaderToUse, CScreen *ScreenToUse);
		~CAbout();

		void Show();
		void Hide();
		int IsVisible();
		int GotFocus();

		void CenterWindow();
		void RealignText();

	private:
		void CreateWidgets();
		void InitWidgets();
		void InstallWidgets();
		static void CloseBtnClick(CAbout *About);

		CButton *CloseBtn;
		CForm *Form;

		CImage *Image;
		CLabel *XoslTitle;
		CLabel *Copyright;
		CLabel *HttpXosl;
		CLabel *LogoInfo;
		CLabel *LogoCreator;
		CLabel *HttpLogo;
		CLabel *CreateInfo;
		CLabel *CreateInfo2;
		CLabel *DesignInfo;
		CLabel *DesignInfo2;
		CLabel *ThanksInfo1;
		CLabel *ThanksInfo12;
		CLabel *ThanksInfo2;
		CLabel *ThanksInfo3;
		CLabel *Warranty;

		CScreen *Screen;
		CLoader *Loader;
};


#endif

