/*
 * Extended Operating System Loader (XOSL)
 * Copyright (c) 1999 by Geurt Vos
 *
 * This code is distributed under GNU General Public License (GPL)
 *
 * The full text of the license can be found in the GPL.TXT file,
 * or at http://www.gnu.org
 */

#include <rawboot.h>
#include <ptab.h>
#include <disk.h>

#define BootJump() (__emit__(0xea,0x00,0x7c,0x00,0x00))

void RawBoot(int BootIndex)
{
	TPartTable MBR;
	int Index;
	CDisk Disk;

	Disk.Map(0x0080,0);
	Disk.Read(0,&MBR,1);
	for (Index = 0; Index < 4; ++Index)
		MBR.Entries[Index].Activated = 0;
	MBR.Entries[BootIndex].Activated = 0x80;
	Disk.Write(0,&MBR,1);
	Disk.Read(MBR.Entries[BootIndex].RelativeSector,IPL_ADDR,1);
	BootJump();
}
